classification
Title: Curses documentation refers to incorrect type
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ryan Jarvis, docs@python, kushal.das
Priority: normal Keywords:

Created on 2017-05-15 21:16 by Ryan Jarvis, last changed 2017-05-23 17:56 by kushal.das. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1630 merged berker.peksag, 2017-05-17 14:17
PR 1746 merged kushal.das, 2017-05-23 00:35
PR 1747 merged kushal.das, 2017-05-23 00:35
Messages (5)
msg293740 - (view) Author: Ryan Jarvis (Ryan Jarvis) Date: 2017-05-15 21:16
Currently the Python curses documentation refers to `WindowObject` multiple times in the documentation.  The actual type signature is `_curses.curses window`.  WindowObject does not exist.  

Seen at 16.11.1. Textbox objects and curses.initscr() for both Python2 and Python3 documentation.   

https://docs.python.org/3/library/curses.html
https://docs.python.org/2/library/curses.html

There is no type information available the curses window object in the documentation.
msg294207 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2017-05-23 00:16
New changeset 93fc20b73eea3da0b6305aaee951e5dd22d5c408 by Kushal Das (Berker Peksag) in branch 'master':
bpo-30376: Update outdated WindowObject references (#1630)
https://github.com/python/cpython/commit/93fc20b73eea3da0b6305aaee951e5dd22d5c408
msg294264 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2017-05-23 16:56
New changeset 8af0a214be7c0c921ba5ce5c11043dd5b5da9211 by Kushal Das in branch '3.5':
[3.5] bpo-30376: Update outdated WindowObject references (GH-1630) (#1747)
https://github.com/python/cpython/commit/8af0a214be7c0c921ba5ce5c11043dd5b5da9211
msg294265 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2017-05-23 16:57
New changeset 9bcf81da1436468c3c5e500ae36678a2ad675e32 by Kushal Das in branch '3.6':
[3.6] bpo-30376: Update outdated WindowObject references (GH-1630) (#1746)
https://github.com/python/cpython/commit/9bcf81da1436468c3c5e500ae36678a2ad675e32
msg294268 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2017-05-23 17:56
Thanks for filing the bug, fixed now. Thank you Berker for the quick patch.
History
Date User Action Args
2017-05-23 17:56:35kushal.dassetstatus: open -> closed
resolution: fixed
messages: + msg294268

stage: patch review -> resolved
2017-05-23 16:57:06kushal.dassetmessages: + msg294265
2017-05-23 16:56:48kushal.dassetmessages: + msg294264
2017-05-23 00:35:35kushal.dassetpull_requests: + pull_request1836
2017-05-23 00:35:30kushal.dassetpull_requests: + pull_request1835
2017-05-23 00:16:09kushal.dassetnosy: + kushal.das
messages: + msg294207
2017-05-19 20:10:59terry.reedysetstage: needs patch -> patch review
2017-05-19 20:10:02terry.reedysetstage: needs patch
type: behavior
versions: - Python 3.3, Python 3.4
2017-05-17 14:17:54berker.peksagsetpull_requests: + pull_request1721
2017-05-15 21:16:05Ryan Jarviscreate